<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.system.basicData.mapper.CrmAdministrativePenaltyMapper">
    
    <resultMap type="CrmAdministrativePenalty" id="CrmAdministrativePenaltyResult">
        <result property="id"    column="id"    />
        <result property="administrativePartyName"    column="administrative_party_name"    />
        <result property="administrativePartyType"    column="administrative_party_type"    />
        <result property="unified_social_credit_code"    column="unifiedSocialCreditCode"    />
        <result property="businessRegistrationNumber"    column="business_registration_number"    />
        <result property="legalRepresentative"    column="legal_representative"    />
        <result property="legalRepresentativeIdType"    column="legal_representative_id_type"    />
        <result property="legalRepresentativeIdOtherTypeDesc"    column="legal_representative_id_other_type_desc"    />
        <result property="legalRepresentativeIdNumber"    column="legal_representative_id_number"    />
        <result property="idType"    column="id_type"    />
        <result property="idOtherTypeDesc"    column="id_other_type_desc"    />
        <result property="administrativePenaltyDecisionDocName"    column="administrative_penalty_decision_doc_name"    />
        <result property="administrativePenaltyDecisionDocNumber"    column="administrative_penalty_decision_doc_number"    />
        <result property="illegalActType"    column="illegal_act_type"    />
        <result property="illegalFacts"    column="illegal_facts"    />
        <result property="penaltyBasis"    column="penalty_basis"    />
        <result property="penaltyType"    column="penalty_type"    />
        <result property="penaltyTypeExplain"    column="penalty_type_explain"    />
        <result property="penaltyContent"    column="penalty_content"    />
        <result property="fineAmount"    column="fine_amount"    />
        <result property="confiscationAmount"    column="confiscation_amount"    />
        <result property="suspentionRevocationLicenseNameNumber"    column="suspention_revocation_license_name_number"    />
        <result property="penaltyDecisionDate"    column="penalty_decision_date"    />
        <result property="penaltyValidityPeriod"    column="penalty_validity_period"    />
        <result property="penaltyAuthority"    column="penalty_authority"    />
        <result property="penaltyAuthorityUnifiedSocialCreditCode"    column="penalty_authority_unified_social_credit_code"    />
        <result property="remarks"    column="remarks"    />
    </resultMap>
</mapper>